<?php
/**
 * The template for adding Featured Content Settings in Customizer
 *
 * @package catchresponsive
 * @subpackage Catch Responsive Pro
 * @since Catch Responsive 1.0
 */

if ( ! defined( 'CATCHRESPONSIVE_THEME_VERSION' ) ) {
	header( 'Status: 403 Forbidden' );
	header( 'HTTP/1.1 403 Forbidden' );
	exit();
}
	// Featured Content Options
	if( 4 <= get_bloginfo( 'version' ) ) {
		$wp_customize->add_panel( 'catchresponsive_featured_content_options', array(
		    'capability'     => 'edit_theme_options',
			'description'    => __( 'Options for Featured Content', 'catchresponsive' ),
		    'priority'       => 400,
		    'title'    		 => __( 'Featured Content Options', 'catchresponsive' ),
		) );
	}


	$wp_customize->add_section( 'catchresponsive_featured_content_settings', array(
		'panel'			=> 'catchresponsive_featured_content_options',
		'priority'		=> 1,
		'title'			=> __( 'Featured Content Settings', 'catchresponsive' ),
	) );

	$wp_customize->add_setting( 'catchresponsive_theme_options[featured_content_option]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['featured_content_option'],
		'sanitize_callback' => 'sanitize_key',
	) );

	$catchresponsive_featured_slider_content_options = catchresponsive_featured_slider_content_options();
	$choices = array();
	foreach ( $catchresponsive_featured_slider_content_options as $catchresponsive_featured_slider_content_option ) {
		$choices[$catchresponsive_featured_slider_content_option['value']] = $catchresponsive_featured_slider_content_option['label'];
	}

	$wp_customize->add_control( 'catchresponsive_theme_options[featured_content_option]', array(
		'choices'  	=> $choices,
		'label'    	=> __( 'Enable Featured Content on', 'catchresponsive' ),
		'priority'	=> '1',
		'section'  	=> 'catchresponsive_featured_content_settings',
		'settings' 	=> 'catchresponsive_theme_options[featured_content_option]',
		'type'	  	=> 'select',
	) );

	$wp_customize->add_setting( 'catchresponsive_theme_options[featured_content_layout]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['featured_content_layout'],
		'sanitize_callback' => 'sanitize_key',
	) );

	$catchresponsive_featured_content_layout_options = catchresponsive_featured_content_layout_options();
	$choices = array();
	foreach ( $catchresponsive_featured_content_layout_options as $catchresponsive_featured_content_layout_option ) {
		$choices[$catchresponsive_featured_content_layout_option['value']] = $catchresponsive_featured_content_layout_option['label'];
	}

	$wp_customize->add_control( 'catchresponsive_theme_options[featured_content_layout]', array(
		'choices'  	=> $choices,
		'label'    	=> __( 'Select Featured Content Layout', 'catchresponsive' ),
		'priority'	=> '2',
		'section'  	=> 'catchresponsive_featured_content_settings',
		'settings' 	=> 'catchresponsive_theme_options[featured_content_layout]',
		'type'	  	=> 'select',
	) );

	$wp_customize->add_setting( 'catchresponsive_theme_options[featured_content_position]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['featured_content_position'],
		'sanitize_callback' => 'catchresponsive_sanitize_checkbox'
	) );

	$wp_customize->add_control( 'catchresponsive_theme_options[featured_content_position]', array(
		'label'		=> __( 'Check to Move above Footer', 'catchresponsive' ),
		'priority'	=> '3',
		'section'  	=> 'catchresponsive_featured_content_settings',
		'settings'	=> 'catchresponsive_theme_options[featured_content_position]',
		'type'		=> 'checkbox',
	) );  

	$wp_customize->add_section( 'catchresponsive_featured_content_type', array(
		'panel'			=> 'catchresponsive_featured_content_options',
		'priority'		=> 2,
		'title'			=> __( 'Featured Content Type', 'catchresponsive' ),
	) );

	$wp_customize->add_setting( 'catchresponsive_theme_options[featured_content_type]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['featured_content_type'],
		'sanitize_callback'	=> 'sanitize_key',
	) );

	$catchresponsive_featured_content_types = catchresponsive_featured_content_types();
	$choices = array();
	foreach ( $catchresponsive_featured_content_types as $catchresponsive_featured_content_type ) {
		$choices[$catchresponsive_featured_content_type['value']] = $catchresponsive_featured_content_type['label'];
	}

	$wp_customize->add_control( 'catchresponsive_theme_options[featured_content_type]', array(
		'choices'  	=> $choices,
		'label'    	=> __( 'Select Content Type', 'catchresponsive' ),
		'priority'	=> '3',
		'section'  	=> 'catchresponsive_featured_content_type',
		'settings' 	=> 'catchresponsive_theme_options[featured_content_type]',
		'type'	  	=> 'select',
	) );

	$wp_customize->add_setting( 'catchresponsive_theme_options[featured_content_headline]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['featured_content_headline'],
		'sanitize_callback'	=> 'wp_kses_post',
	) );

	$wp_customize->add_control( 'catchresponsive_theme_options[featured_content_headline]' , array(
		'description'	=> __( 'Leave field empty if you want to remove Headline', 'catchresponsive' ),
		'label'    		=> __( 'Headline for Featured Content', 'catchresponsive' ),
		'priority'		=> '4',
		'section'  		=> 'catchresponsive_featured_content_type',
		'settings' 		=> 'catchresponsive_theme_options[featured_content_headline]',
		'type'	   		=> 'text',
		)
	);

	$wp_customize->add_setting( 'catchresponsive_theme_options[featured_content_subheadline]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['featured_content_subheadline'],
		'sanitize_callback'	=> 'wp_kses_post',
	) );

	$wp_customize->add_control( 'catchresponsive_theme_options[featured_content_subheadline]' , array(
		'description'	=> __( 'Leave field empty if you want to remove Sub-headline', 'catchresponsive' ),
		'label'    		=> __( 'Sub-headline for Featured Content', 'catchresponsive' ),
		'priority'		=> '5',
		'section'  		=> 'catchresponsive_featured_content_type',
		'settings' 		=> 'catchresponsive_theme_options[featured_content_subheadline]',
		'type'	   		=> 'text',
		) 
	);

	$wp_customize->add_setting( 'catchresponsive_theme_options[featured_content_number]', array(
		'capability'		=> 'edit_theme_options',
		'default'			=> $defaults['featured_content_number'],
		'sanitize_callback'	=> 'catchresponsive_sanitize_no_of_slider',
	) );

	$wp_customize->add_control( 'catchresponsive_theme_options[featured_content_number]' , array(
		'description'	=> __( 'Save and refresh the page if No. of Featured Content is changed (Max no of Featured Content is 20)', 'catchresponsive' ),
		'input_attrs' 	=> array(
            'style' => 'width: 45px;',
            'min'   => 0,
            'max'   => 20,
            'step'  => 1,
        	),
		'label'    		=> __( 'No of Featured Content', 'catchresponsive' ),
		'priority'		=> '6',
		'section'  		=> 'catchresponsive_featured_content_type',
		'settings' 		=> 'catchresponsive_theme_options[featured_content_number]',
		'type'	   		=> 'number',
		) 
	);
	

	//loop for featured post content
	for ( $i=1; $i <=  $options['featured_content_number'] ; $i++ ) {
		$wp_customize->add_setting( 'catchresponsive_theme_options[featured_content_post_'. $i .']', array(
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'catchresponsive_sanitize_post_id',
		) 
	);

		$wp_customize->add_control( 'catchresponsive_featured_content_post_'. $i, array(
			'input_attrs' => array(
            	'style' => 'width: 40px;'
        	),
			'label'    	=> __( 'Featured Post', 'catchresponsive' ) . ' ' . $i ,
			'priority'	=>  '4' . $i,
			'section'  	=> 'catchresponsive_featured_content_type',
			'settings' 	=> 'catchresponsive_theme_options[featured_content_post_'. $i .']',
			'type'	   	=> 'text',
			)
		);
	}

	//loop for featured page sliders
	for ( $i=1; $i <= $options['featured_content_number'] ; $i++ ) {
		$wp_customize->add_setting( 'catchresponsive_theme_options[featured_content_page_'. $i .']', array(
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'catchresponsive_sanitize_page',
		) );

		$wp_customize->add_control( 'catchresponsive_featured_content_page_'. $i .'', array(
			'label'    	=> __( 'Featured Page', 'catchresponsive' ) . ' ' . $i ,
			'priority'	=> '5' . $i,
			'section'  	=> 'catchresponsive_featured_content_type',
			'settings' 	=> 'catchresponsive_theme_options[featured_content_page_'. $i .']',
			'type'	   	=> 'dropdown-pages',
		) );
	}

	$wp_customize->add_setting( 'catchresponsive_theme_options[featured_content_select_category]', array(
		'capability'		=> 'edit_theme_options',
		'sanitize_callback'	=> 'catchresponsive_sanitize_category_list',
	) );

	$wp_customize->add_control( new catchresponsive_Customize_Dropdown_Categories_Control( $wp_customize, 'catchresponsive_featured_content_select_category', array(
        'label'   	=> __( 'Select Categories', 'catchresponsive' ),
        'name' 		=> 'catchresponsive_theme_options[featured_content_select_category]',
        'section'  	=> 'catchresponsive_featured_content_type',
        'settings' 	=> 'catchresponsive_theme_options[featured_content_select_category]',
        'type'     	=> 'dropdown-categories',
    ) ) );

	$priority	=	7;
	//loop for featured image content
	for( $i = 1; $i <= $options['featured_content_number'] ; $i++ ){
		if( $i > 9 ) // use this condition to make sure 10 comes after 9 priority wise
			$priority++;
		
		$wp_customize->add_setting( 'catchresponsive_theme_options[featured_content_note_'. $i .']', array(
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'sanitize_text_field',
		) );

		$wp_customize->add_control( new catchresponsive_Note_Control( $wp_customize, 'featured_content_note_'. $i, array(
	        'label'		=> __( 'Featured Content #', 'catchresponsive' ) .  $i,
			'priority'	=> $priority . '.' . $i,
	        'section'  	=> 'catchresponsive_featured_content_type',
	        'settings'	=> 'catchresponsive_theme_options[featured_content_note_'. $i .']',
	        'type'     	=> 'description',
   		) ) );

		$wp_customize->add_setting( 'catchresponsive_theme_options[featured_content_image_'. $i .']', array(
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'catchresponsive_sanitize_image',
		) );

		$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'featured_content_image_'. $i , array(
			'label'		=> __( 'Image', 'catchresponsive' ),
	        'priority'	=> $priority . '.' . $i .$i,
			'section'   => 'catchresponsive_featured_content_type',
	        'settings'  => 'catchresponsive_theme_options[featured_content_image_'. $i .']',
		) ) );

		$wp_customize->add_setting( 'catchresponsive_theme_options[featured_content_link_'. $i .']', array(
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'esc_url_raw',
		) );

		$wp_customize->add_control(  'catchresponsive_theme_options[featured_content_link_'. $i .']', array(
			'label'		=> __( 'Link', 'catchresponsive' ),
	        'priority'	=> $priority . '.' .$i . $i  . $i ,
			'section'   => 'catchresponsive_featured_content_type',
	        'settings'  => 'catchresponsive_theme_options[featured_content_link_'. $i .']',
		) );

		$wp_customize->add_setting( 'catchresponsive_theme_options[featured_content_target_'. $i .']', array(
	        'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'catchresponsive_sanitize_checkbox',
		) );

		$wp_customize->add_control(  'catchresponsive_theme_options[featured_content_target_'. $i .']', array(
			'label'		=> __( 'Check to Open Link in New Window/Tab', 'catchresponsive' ),
	        'priority'	=> $priority . '.' .$i  .$i  . $i . $i,
			'section'   => 'catchresponsive_featured_content_type',
	        'settings'  => 'catchresponsive_theme_options[featured_content_target_'. $i .']',
			'type'		=> 'checkbox',
	    ) );

	    $wp_customize->add_setting( 'catchresponsive_theme_options[featured_content_title_'. $i .']', array(
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'sanitize_text_field',
		) );

		$wp_customize->add_control(  'catchresponsive_theme_options[featured_content_title_'. $i .']', array(
			'label'		=> __( 'Title', 'catchresponsive' ),
	        'priority'	=> $priority . '.' .$i .  $i.  $i .$i . $i,
			'section'   => 'catchresponsive_featured_content_type',
	        'settings'  => 'catchresponsive_theme_options[featured_content_title_'. $i .']',
			'type'		=> 'text',
	    ) );

	    $wp_customize->add_setting( 'catchresponsive_theme_options[featured_content_content_'. $i .']', array(
			'capability'		=> 'edit_theme_options',
			'sanitize_callback'	=> 'sanitize_text_field',
		) );

		$wp_customize->add_control( new catchresponsive_Customize_Textarea_Control ( $wp_customize, 'catchresponsive_theme_options[featured_content_content_'. $i .']', array(
			'label'		=> __( 'Content', 'catchresponsive' ),
	        'priority'	=> $priority . '.' . $i . $i .  $i . $i . $i . $i,
			'section'   => 'catchresponsive_featured_content_type',
	        'settings'  => 'catchresponsive_theme_options[featured_content_content_'. $i .']',
			'type'		=> 'textarea',
	    ) ) );
	}
// Featured Content Setting End